// Copyright 2013 The CGMath Developers. For a full listing of the authors,
// refer to the AUTHORS file at the top-level directory of this distribution.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#[macro_escape];

/// Import this module for the strict, algebraic trait heirachy.
///
/// # Example
///
/// ~~~rust
/// use lmath::traits::alg::*;
/// ~~~
pub mod alg;

/// Import this module to access utility traits that do not neccsarily match
/// up with the strict algebraic properties of the respective types, and yet
/// still may be useful for computer graphics work.
///
/// # Example
///
/// ~~~rust
/// use lmath::traits::ext::*;
/// ~~~
pub mod ext;

/// TODO
///
/// # Example
///
/// ~~~rust
/// use lmath::traits::util::*;
/// ~~~
pub mod util;
